@mixin bg-opacity($class-slug, $color) {
   @for $i from 1 through 9 {
      .u-bg--opacity-#{$class-slug}-#{$i} {
         background-color: rgba($color, 0 + ($i * 0.1)) !important;
      }
   }
}

@mixin table-full-colored-variant($color) {
   background-color: lighten($color, 40%);

   >thead>tr {

      >th,
      >td {
         background-color: $color;
      }
   }

   >tbody>tr {

      >th,
      >td {
         color: darken($color, 20%);
      }
   }
}

@mixin accordion-head-variant($color) {
   .card__header a {
      background-color: $color;
   }

   .card__header a.collapsed {
      color: $color;
   }
}

@mixin nav-colored-variant($color) {
   .c-nav__link {
      color: $color;

      &:hover,
      &:focus {
         color: darken($color, 10%);
      }

      //&.active {
      //&,&:hover,
      //&:focus { color: $active-color; }
      //}
   }

   &.c-nav__pills {
      .c-nav__link.active {

         &,
         &:hover,
         &:focus {
            color: #fff;
         }
      }
   }
}

@mixin pagination-variant($color) {
   .c-page__link {
      color: $color;
   }

   .active {
      .c-page__link {
         background-color: $color;
         border-color: transparent;
      }
   }
}

@mixin popover-title-variant($color) {
   .c-popover__title {
      background-color: $color;
      color: #fff;
      border-color: transparent;
      margin: -1px -1px 0;
   }

   &.c-popover--bottom {

      &::after,
      &.bs-tether-element-attached-top::after {
         border-bottom-color: $color;
      }
   }
}

@mixin popover-full-variant($color) {
   background-color: $color;
   border-color: $color;

   .c-popover__title {
      border-color: transparent;
      padding-bottom: 0;
      color: #fff;
   }

   .c-popover__body {
      color: rgba(#fff, .75);
      padding-top: 13px;
      padding-bottom: 14px;
   }

   &.c-popover--top::after,
   &.bs-tether-element-attached-bottom::after {
      border-top-color: $color;
   }

   &.c-popover--top::before,
   &.bs-tether-element-attached-bottom::before {
      border-top-color: $color;
   }

   &.c-popover--bottom::after,
   &.bs-tether-element-attached-top::after {
      border-bottom-color: $color;
   }
}

@mixin iconwrap-size($padding, $icon-size) {
   padding: $padding;

   .fa, .far, .fas, .fab,
   .icon {
      font-size: $icon-size;
      width: $icon-size;
      height: $icon-size;
   }
}
